undef("fct_res_NH")
function fct_res_NH()
local res
begin
;
  res                   = True
  res@gsnMaximize       = True            ; Maximize size of plot
  res@gsnAddCyclic      = False           ; Don't add longitude cyclic point
  res@gsnPolar          = "NH"
;
; @mp: Map Projection
  res@mpMinLatF                     	= 25            ; Specify minimum latitude
  res@mpGeophysicalLineThicknessF   	= 2.            ; make outlines thicker
  res@mpGeophysicalLineColor        	= "black"       ; make outlines thicker
;  res@mpDataSetName     		= "Earth..4"    ; Database that contains the
  res@mpShapeMode 			= "FreeAspect"
  res@mpPerimLineThicknessF 		= 4.
  res@mpPerimLineColor 			= "black"
;
; Important:
; Hereafter a test to mpFillColors to color the ocean and continents differently by superimposing the data. 
; It didn't work!
; If you don't set mpFillColors, then default color index values are provided.
;
; (1) mpFillOn=True, "pour activer le remplissage des zones géographiques de la carte"
  res@mpFillOn          		= True          ; MASTER
				  			; =True to turn on map fill
							; =True to put in 'grey' continents
				  			; =False, turn off grey continents
; (2)  mpFillColors ne marche pas !!!
; Each element of the mpFillColors array represents a specific geographic region to fill.
; res@mpFillColors = (mpDefaultFillColor, mpOceanFillColor, mpLandFillColor, mpInlandWaterFillColor)
; where,
; "mpDefaultFillColor" define regions that contain neither a filled nor a masked area
  res@mpFillColors = (/"transparent","LightGrey","BurlyWood","LightGrey"/)
;
; @cn: ContourPlot
  res@cnFillOn          = True            ; turn on color fill
  res@cnFillMode        = "RasterFill"    ; assigning colors individually to the elements 
  res@cnLinesOn         = False           ; turn off contour lines
;
; Here we put on grey missing data, on ocean
  res@cnMissingValFillColor   = "grey95"
;
; @pm
  res@pmLabelBarSide                = "Bottom"             ; default is right
  res@pmLabelBarWidthF              = 0.45                 ; default is shorter
  res@pmLabelBarHeightF             = 0.1                  ; default is taller
;
; @lb: Label Bar
  res@lbLabelBarOn      = True                 ; to PANEL - Turns off the individual label bars
;
  return(res)
end
